Create Token
curl --request POST \
--url https://api.veryfront.com/auth/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"grant_type": "client_credentials",
"client_id": "<string>",
"client_secret": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_slug": "<string>",
"custom_domain": "<string>",
"options": {
"shared_user_id": "<string>",
"expire": 123,
"scopes": [
"<string>"
]
}
}
'import requests
url = "https://api.veryfront.com/auth/token"
payload = {
"grant_type": "client_credentials",
"client_id": "<string>",
"client_secret": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_slug": "<string>",
"custom_domain": "<string>",
"options": {
"shared_user_id": "<string>",
"expire": 123,
"scopes": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
grant_type: 'client_credentials',
client_id: '<string>',
client_secret: '<string>',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
project_slug: '<string>',
custom_domain: '<string>',
options: {shared_user_id: '<string>', expire: 123, scopes: ['<string>']}
})
};
fetch('https://api.veryfront.com/auth/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "<string>",
"token_type": "Bearer",
"user": {}
}{
"error": "<string>"
}Create Token
Exchanges client credentials for an access token.
POST
/
auth
/
token
Create Token
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
OAuth grant type
Available options:
client_credentials Example:
"client_credentials"
Client ID for client_credentials token exchange
Client secret for client_credentials token exchange
Project ID (UUID) for scoped tokens
Project slug for scoped tokens (alternative to project_id)
Custom domain to resolve project (alternative to project_id/project_slug)
Show child attributes
Show child attributes
⌘I